/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Tue Jun 26 09:42:14 PDT 2001
    copyright            : (C) 2001 by root
    email                : root@localhost.localdomain
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* Revision History
 Jun 26, 2001		0.10 Initial project created
 July 02, 2001  0.11 Serial port parameters dialog box added
 July 05, 2001	0.12 Added IOCTL to the EXAR device driver
 										 Save and restore the serial port parameters on exit/open
 	Aug 08, 2001	0.13 Open menu default directory, file name is set
 										 Test Pattern is set to default parameters
 										 In display window the cursor is set at the end of the text
 										 Serial receive buffer is reduced to 5000 bytes from 10000
*/ 										

#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>

#include "exser.h"

int main(int argc, char *argv[])
{
  QApplication a(argc, argv);
  a.setFont(QFont("helvetica", 12));
  QTranslator tor( 0 );
  // set the location where your .qm files are in load() below as the last parameter instead of "."
  // for development, use "/" to use the english original as
  // .qm files are stored in the base project directory.
  tor.load( QString("exser.") + QTextCodec::locale(), "." );
  a.installTranslator( &tor );

  ExserApp *exser=new ExserApp();
  a.setMainWidget(exser);

  exser->show();

  if(argc>1)
    exser->openDocumentFile(argv[1]);
/*	else
	  exser->openDocumentFile();
*/	
  return a.exec();
}
